Skip to main content

GetBlockBalance

POST

Get all balance change operations in a block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235&18.141.79.38 &18.139.248.26)
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
hashstringrequired
Block hash (ID). Example: 0000000003dba95c7f05cedf1ba32cd64b6baa082a7870f533b4451703e432ab
numberintegerrequired
Block number. The block hash and block number must be consistent, referring to the same block. Example: 64727388
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
timestampint64
Timestamp. (Unit: millisecond)
hashstring
Block hash.
numberinteger
Block number.
transaction_balance_tracearray
List of transaction information with balance changes.
transaction_identifierstring
Transaction ID (hash).
operationarray
List of balance change operations in this transaction, including sender deductions, receiver additions, and resource fee burns (Bandwidth/Energy). Each item contains operation_identifier (index), address (affected address), and amount (balance change).
typestring
Transaction type.
statusstring
Transaction result status.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getblockbalance' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"hash": "0000000003dba95c7f05cedf1ba32cd64b6baa082a7870f533b4451703e432ab",
"number": 64727388
}'